DL_SignatureSchemeBase< INTERFACE, KEY_INTERFACE > Class Template Referenceabstract

_ More...

`#include <pubkey.h>`

Inheritance diagram for DL_SignatureSchemeBase< INTERFACE, KEY_INTERFACE >:

## Public Member Functions

size_t | SignatureLength () const
size_t | MaxRecoverableLength () const
size_t | MaxRecoverableLengthFromSignatureLength (size_t signatureLength) const
bool | IsProbabilistic () const
bool | AllowNonrecoverablePart () const
bool | RecoverablePartFirst () const

## Protected Types

typedef KEY_INTERFACE | KeyInterface
typedef KEY_INTERFACE::Element | Element

## Protected Member Functions

size_t | MessageRepresentativeLength () const
size_t | MessageRepresentativeBitLength () const
virtual const DL_ElgamalLikeSignatureAlgorithm< typename KEY_INTERFACE::Element > & | GetSignatureAlgorithm () const =0
virtual const PK_SignatureMessageEncodingMethod & | GetMessageEncodingInterface () const =0
virtual HashIdentifier | GetHashIdentifier () const =0
virtual size_t | GetDigestSize () const =0
const DL_GroupParameters< Element > & | GetAbstractGroupParameters () const
DL_GroupParameters< Element > & | AccessAbstractGroupParameters ()
virtual KeyInterface & | AccessKeyInterface ()=0
virtual const KeyInterface & | GetKeyInterface () const =0

## Detailed Description

### template<class INTERFACE, class KEY_INTERFACE>
class DL_SignatureSchemeBase< INTERFACE, KEY_INTERFACE >

_

Definition at line 962 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h